class GetPid
{
	/* 
	 * getPid() is the method which will return the pid. As it's 
	 * declared in an external library (either a .dll or a .so)
	 * we must let java know of this by using the "native" keyword
	 */
	public native int getPid();
	
	/*
	 * Ask java to load the library that includes the native method
	 * -> Windows - it will look for a file called getpid.dll
	 * -> Linux - it will look for a file called libgetpid.so
	 */
	static
	{
		System.loadLibrary("getpid");
	}
	
	public static void main(String args[])
	{
		/*
		 * Invoque the native method. Uses a new instance of this class so we can
		 * have a static variable inside the static main. "this" is not static so
		 * we cannot use it.
		 */
		System.out.println("Current pid: " + (new GetPid()).getPid());
	}
}